Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.util.io
Class BufferingOutputStream

    java.lang.Object
      java.io.OutputStream
          org.bouncycastle.util.io.BufferingOutputStream

public class BufferingOutputStream
extends java.io.OutputStream

An output stream that buffers data to be feed into an encapsulated output stream.

The stream zeroes out the internal buffer on each flush.

Constructor Summary
`BufferingOutputStream(java.io.OutputStream other)` Create a buffering stream with the default buffer size (4096).
`BufferingOutputStream(java.io.OutputStream other, int bufferSize)` Create a buffering stream with a specified buffer size.

Method Summary
`void` | `close()`
`void` | `flush()` Flush the internal buffer to the encapsulated output stream.
`void` | `write(byte[] bytes, int offset, int len)`
`void` | `write(int b)`

Methods inherited from class java.io.OutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferingOutputStream

    public BufferingOutputStream(java.io.OutputStream other)

  Create a buffering stream with the default buffer size (4096).

Parameters:
  `other` - output stream to be wrapped.

### BufferingOutputStream

    public BufferingOutputStream(java.io.OutputStream other,
                                 int bufferSize)

  Create a buffering stream with a specified buffer size.

Parameters:
  `other` - output stream to be wrapped.
  `bufferSize` - size in bytes for internal buffer.

Method Detail

### write

    public void write(byte[] bytes,
                      int offset,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Flush the internal buffer to the encapsulated output stream. Zero the buffer contents when done.

  Throws:
    `java.io.IOException` - on error.

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD